--
-- $Id$
--
-- Aanmaken tabel voor importeren van locaties voor KPN Retail.

DEFINE thisfile = 'YKPN#56560.sql'
DEFINE dbuser   = '^YKPN'
DEFINE custid   = 'YKPN'

SET ECHO ON
SET DEFINE ON
COLUMN fcltlogfile NEW_VALUE fcltlogfile NOPRINT;
WHENEVER SQLERROR EXIT;
SELECT adm.scriptspoolfile('&dbuser', '&thisfile') AS fcltlogfile FROM DUAL;
WHENEVER SQLERROR CONTINUE;
SPOOL &fcltlogfile
SET DEFINE OFF

------ payload begin ------



CREATE TABLE ykpn_imp_loc_retail
(
    alg_locatie_code VARCHAR2 (10),
    formule NUMBER (10),
    formule_aanduiding NUMBER (10),
    alg_locatie_omschrijving VARCHAR2 (60),
    alg_locatie_adres VARCHAR2 (50),
    alg_locatie_postcode VARCHAR2 (12),
    alg_locatie_plaats VARCHAR2 (30),
    email VARCHAR2 (100),
    manager_naam VARCHAR2 (30),
    manager_mobiel VARCHAR2 (15),
    regio NUMBER (10),
    regio_manager NUMBER (10),
    centercode VARCHAR2 (5),
    res_nummer VARCHAR2 (5),
    x_coord NUMBER (16, 6),
    y_coord NUMBER (16, 6)
);


------ payload end   ------

SET DEFINE OFF
BEGIN adm.systrackscriptId ('$Id$', 1); END;
/

COMMIT;
SET ECHO OFF
SPOOL OFF
SET DEFINE ON
PROMPT Logfile of this upgrade is: &fcltlogfile